Bug 510 - Jabber transport support
: Jabber transport support
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
XMPP
: 2.1
: All Maemo
: High enhancement with 1 vote (vote)
: ---
Assigned To: rtcomm@maemo.org
: xmpp-bugs
:
: enhancement-it2006, ITOS2007HE-garage...
:
: 537
  Show dependency tree
 
Reported: 2006-06-10 14:11 UTC by Adam Lynch
Modified: 2009-01-26 14:42 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Adam Lynch (reporter) 2006-06-10 14:11:25 UTC
Since there's now Jabber functionality, it would seem to me that it might be a
Good Thing (tm) to add Jabber transport functionality, so users can communicate
with their AIM/Yahoo/MSN/etc buddies, without a separate client.
Comment 1 Edward Hervey 2006-06-11 19:11:53 UTC
(In reply to comment #0)
> Since there's now Jabber functionality, it would seem to me that it might be a
> Good Thing (tm) to add Jabber transport functionality, so users can communicate
> with their AIM/Yahoo/MSN/etc buddies, without a separate client.

It already handles it. It's just that there's no interface for discovering
services (including transport gateways) and adding them.
Comment 2 Martin Mach 2006-06-11 20:55:53 UTC
According to some people the transports do work, but I have issues with ICQ/AIM
transport also. 

The connection works from the desktop computer properly with Miranda, so it
should not be any issue with configuration. When I log on using N770, the AIM
transport disconnects on the desktop properly, but no buddy appears online on
N770. When I try to get online on the desktop computer again, I get error from
the AIM server: "Too many login attempts, try again in 10 minutes." I was trying
icq.jabber.cz and  aim.netlab.cz transports with the same effect
Comment 3 Maemo QA (deprecated) 2006-08-01 19:12:08 UTC
Thanks for your feedback. This has been marked as an enhancement request.
Comment 4 Patrik Flykt nokia 2007-06-25 15:14:13 UTC
Moving to messaging component.
Comment 6 Quim Gil nokia 2008-12-23 15:09:53 UTC
Hi, just stirring this request to understand it myself:

Is Jabber transport supported in Diablo? Working?

If it's not, is Nokia needed to implement it or is this a feature coming
through an OSS component e.g. Telepathy?

Thanks for being patient with me. This is not my area of expertise and I just
want to see what is being exactly requested here.
Comment 7 Quim Gil nokia 2009-01-24 23:50:46 UTC
Hi, CCing some friends.  :)

This is one of the oldest enhancement requests and I would like to know the
real status, if we are there in Diablo (or Fremantle). If not, how sensible and
complex would be to implement this?

Thanks for the input.
Comment 8 Mikhail Zabaluev nokia 2009-01-26 14:24:52 UTC
It has never been our priority, neither Telepathy project's as far as I know.
Personally, I don't regard XMPP gateways (Jabber transports) as a sane idea for
security reasons: in the implementations I know of, you have to send your IM
service password unencrypted to a third-party entity. And most likely there is
no end-to-end encryption for that.
Comment 9 Quim Gil nokia 2009-01-26 14:42:32 UTC
Wontfix, then.